Last Comment Bug 464616 - Multiple windows pop open at startup or reopen.
: Multiple windows pop open at startup or reopen.
Status: ASSIGNED
:
Product: Penelope
Classification: Client Software
Component: General (show other bugs)
: 0.5
: PowerPC Mac OS X
: -- normal with 1 vote (vote)
: Eudora OSE 1.0
Assigned To: Jeff Beckley
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 21:03 PST by David
Modified: 2012-11-10 10:43 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Console dump messages per comment #6 (5.48 KB, text/plain)
2008-11-17 21:28 PST, David
no flags Details
OS X console messages as per comment #6 (10.61 KB, text/plain)
2008-11-21 10:52 PST, Clothears
no flags Details
Windows XP console output (4.60 KB, text/plain)
2008-12-10 10:16 PST, David Kozinn
no flags Details

Description David 2008-11-12 21:03:18 PST
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US; rv:1.9.0.3) Gecko/2008092414 Firefox/3.0.3
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US; rv:1.9.1b1pre) Gecko/20081031 Eudora/3.0a3       8.0.0b4  

When you start up Eudora; or have all windows closed & click on the doc, or Window->Mail/Newsgroups; then 4 or 5 recently used windows suddenly pop open one after another.



Reproducible: Always

Steps to Reproduce:
1a. Start Eudora
or
1b. With Eudora running but all windows closed, click on the Dock or {if focused} Window->Mail/Newsgroup

Actual Results:  
Multiple recently used windows pop open, one after another.


Expected Results:  
A single main mailbox window should open.

Problem did not exist on initial 8.0.0b4 use but started within a day or two.

The spontaneous mailbox/messages are windows I was using in the recent past, but not always the most recent. Some are mailboxes, others messages.

Closing them all, then Q_uiting Eudora and restarting has no effect; multiple ones still open.

They are not necessarily ones marked "Check for new messages at startup". [One was out of 3-4.]

Error console has many messages, including multiple:
Warning: Timed textboxes are deprecated. Consider using type="search" instead.
Source File: chrome://messenger/content/messenger.xul
Line: 0

Error: saveOpenWindows is not defined
Source File: chrome://penelope/content/messengerOverlay.js
Line: 469


This is one of multiple weird things this upgrade has experienced.
Comment 1 Clothears 2008-11-13 10:55:43 PST
I experience this too on OS X 10.5.5.
Comment 2 Jeff Beckley 2008-11-13 18:08:06 PST
Something bad is happening with the session save/restore code, and the session.dat file is not getting written out and so it has the exact same windows listed in it every time you start up.

Can either/both of you see what kind of error messages are going to the console?  The Console² extension is a good/easy way to see console messages: <https://addons.mozilla.org/en-US/thunderbird/addon/1815>.
Comment 3 Clothears 2008-11-14 10:31:27 PST
Jeff,

If I clear the console window and restart Eudora, this is what I get:

14/11/2008 18:29:49 [0x0-0x85085].org.mozilla.thunderbird[981] Search integration running in backoff mode 
14/11/2008 18:29:49 [0x0-0x85085].org.mozilla.thunderbird[981] Warning: unrecognized command line flag -foreground
Comment 4 Jeff Beckley 2008-11-14 11:02:31 PST
Clothears, those aren't indicative of anything.  Do you have "All" messages turned on in Console?
Comment 5 Clothears 2008-11-14 11:11:52 PST
OK. I open Console, click on Clear Display, and select All Messages. Eudora has one window open, entitled "InBox". Quit of Eudora gives no messages.

Restart of Eudora gives the two messages (under All Messages) previously listed, and two windows entitled "Eudora" and "Sent". The "Eudora" window has, in addition, a drop-down panel that talks about "Alert This folder is being processed. Please wait until processing is complete to get messages." and an OK button to dismiss it.

That's it, sorry.
Comment 6 Jeff Beckley 2008-11-14 12:16:43 PST
Well, let's try a different attack.  Here's instructions on the pref you have to add to get dump messages to show up in the console: <https://developer.mozilla.org/en/DOM/window.dump#Notes>.  Then start up Eudora with the "-console" command-line argument and you should get an additional window that has the console output.
Comment 7 David 2008-11-17 21:28:12 PST
Created attachment 348715 [details]
Console dump messages per comment #6
Comment 8 Clothears 2008-11-21 10:52:30 PST
Created attachment 349453 [details]
OS X console messages as per comment #6

OS X console output as per comment #6. I don't know how to start an OS X app from Terminal so perhaps there's more info in the Eudora console window.
Comment 9 David 2008-12-04 13:54:23 PST
FYI: If I am in 2-pane mode [no left mailbox tree..] and opening a folder; 
It first pops up in 3-pane mode then a second+ later it reverts to 2-pane.
Comment 10 Matt Dudziak 2008-12-05 10:22:48 PST
(In reply to comment #9)
> FYI: If I am in 2-pane mode [no left mailbox tree..] and opening a folder; 
> It first pops up in 3-pane mode then a second+ later it reverts to 2-pane.

I am not able to reproduce that problem. I tried both my Mac and 2 separate Windows installs. Can you give me details on your setup (basic machine specs and OS)?

Thanks, Matt
Comment 11 David 2008-12-05 10:32:13 PST
> Can you give me details on your setup (basic machine specs and OS)?



Sure; what do you need? iBook 1.1Ghz/768MB G4| 10.4.11| Eudora 8.0.0b4
|~5 IMAP account on two servers.
Comment 12 Jeff Beckley 2008-12-05 10:39:14 PST
I get it to happen on Windows and OS X, but it's for less than a second.  Sometimes I don't see it at all.  Probably has to do with the speed of the machine/video card, available RAM, current CPU usage, etc.  We can look at seeing if the hiding of the folder pane can be done earlier in the process so as to avoid the flicker.

This should be entered as a separate bug, though.  David, can you do that?
Comment 13 David 2008-12-05 11:00:30 PST
Now 468117
Comment 14 Bob Riley 2008-12-05 13:06:35 PST
By default, Eudora uses my Thunderbird account for starting up.  Normally I'd not like that, but in this case it helped.  When Thunderbird starts up in my Gmail IMAP account, I only get ONE window opening up.  When Eudora 8b4 starts up, I get 28 windows opening up (one for each IMAP folder.
Comment 15 David Kozinn 2008-12-10 10:14:47 PST
I've got the same issue but I'm running on Window XP SP2. I too didn't see this immediately after upgrading to b4, but it did eventually start. I am simply opening Eudora and it seems that I get four open windows pretty consistently. One is my inbox, one is my trash box, and the other two appear to be empty windows. This appears to happen 100% of the time. I'll attach the console information as requested in message 6.
Comment 16 David Kozinn 2008-12-10 10:16:16 PST
Created attachment 352344 [details]
Windows XP console output
Comment 17 Peter 2009-03-12 06:30:01 PDT
I'm running XP using Eudora 8.0.0.b5, I did not see this in B4. It opens not recent windows, but the past, past ones, including the options panel, which you have to cancel out of, which then tells you that you may cancel the license?

Do I have to search for the eudora.ini file or something to modify it so that it doesn't bring up the past windows? Where are the ini files? I dont see them in the main directory.
Comment 18 Jeff Beckley 2009-04-13 18:41:32 PDT
I made a fix in <http://hg.mozilla.org/penelope/rev/074426a824f8>, but I can't be sure it's really a fix because I can't get the original bug to reproduce.
Comment 19 Bob Riley 2009-09-10 12:31:25 PDT
With the latest version of Eudora (8.0b7), all my IMAP windows open up on first start and all subsequent starts.  However, I reduced the number of startup windows by going to Tools - Penelope Options.  There, I have just UNchecked "automatically open windows that receive new messages."  That reduced the number of windows opening to about four.  I THINK they are the Inbox and perhaps the three other windows that receive new messages via Gmail's filtering process.  I'll try to recheck that.
Comment 20 Bob Riley 2009-09-10 12:43:09 PDT
I just did recheck.  Before closing Eudora and re-starting, I made sure ALL folders were set to "Mark folder read."  Then I closed and re-started.  And about 15 folders popped open when I started up again.  This never happens in Thunderbird (my primary mailer until/unless Eudora 8 is fixed).  So there is clearly a folder opening design difference between Thunderbird and Eudora (or Penelope? - I've never used an application called "Penelope.").  Sorry to report all this - is there another setting someplace I should try?  bbriley AT gmail.com
Comment 21 Jeff Beckley 2009-12-07 16:23:25 PST
Bob,

It's possible something strange is going on with the session.dat file that is in your profile.  Remove that file and see if that helps the situation.
Comment 22 Alexander Smith 2010-01-23 01:14:08 PST
(In reply to comment #14)
> By default, Eudora uses my Thunderbird account for starting up.  Normally I'd
> not like that, but in this case it helped.  When Thunderbird starts up in my
> Gmail IMAP account, I only get ONE window opening up.  When Eudora 8b4 starts
> up, I get 28 windows opening up (one for each IMAP folder.

Mine happened during my first opening after I set up my Gmail account using IMAP. However, I was able to close all but one of those windows, and about 5 minutes later it ceased. It's stable now - weird!
Comment 23 Bob Riley 2010-01-23 11:34:03 PST
(In reply to comment #21)
> Bob,
> 
> It's possible something strange is going on with the session.dat file that is
> in your profile.  Remove that file and see if that helps the situation.

Hi Jeff, sorry for not replying sooner.  I had removed that Beta.  With Beta 8, that problem of multiple windows opening up (28, in my case) simply disappeared.  I posted my good news in another threat.  Thus I never had to delete a session.dat file.

Happy New Year to those of you one the Eudora/Penelope Team!
Comment 24 Jeff Beckley 2010-01-24 20:56:33 PST
(In reply to comment #22)
> Mine happened during my first opening after I set up my Gmail account using
> IMAP. However, I was able to close all but one of those windows, and about 5
> minutes later it ceased. It's stable now - weird!

Yeah, that's unfortunately the way it's going to happen.  Penelope opens up mailboxes that get new messages put in to them.  So when you first sync all of those mailboxes get messages put in to them and so they open up.

Note You need to log in before you can comment on or make changes to this bug.